%!TEX root=../../source.tex
%!TEX file=content/appendix/kinematics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Kinematics}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Standard Kinematics}
  
  \begin{figure}
    \centering
    \smaller[2]
    \includegraphics[%
        % height=0.80\textheight,%
        width=0.45\linewidth,%
        axisratio=1.00,%
      ]{kinematics/standard/vector-loop}
  \end{figure}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Pulley Kinematics}
  
  \begin{figure}
    \centering
    \smaller[2]
    \includegraphics[%
        % height=0.80\textheight,%
        width=0.45\linewidth,%
        axisratio=1.00,%
      ]{kinematics/pulley/vector-loop}
  \end{figure}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Hefty Kinematics}
  
  \begin{figure}
    \centering
    \smaller[2]
    \includegraphics[%
        % height=0.80\textheight,%
        width=0.45\linewidth,%
        axisratio=1.00,%
      ]{kinematics/catenary/vector-loop}
  \end{figure}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Irvine's Catenary Model}
  
  \begin{minipage}[t]{0.64\linewidth}
    Tension of cable at $\lpathcoord \in \interval{0}{\cablen_{\subunstrained}}$
    \begin{align*}
      \tension* \of{\lpathcoord}
        & = \youngsmodulus \,
            \crosssection \,
            \parentheses*{
              \od{
                \strainedlpathcoord
              }{
                \lpathcoord
              }
              -
              1
            } \,
            ,
    \end{align*}
    
    Static equilibrium of forces at $\lpathcoord$
    %
    \begin{align*}
      \tension \of{\lpathcoord} \,
      \od{
        x
      }{
        \strainedlpathcoord
      }
        & = f_{\Bi{\ms{x}}} \,
        ,
        \\
      \tension \of{\lpathcoord} \,
      \od{
        z
      }{
        \strainedlpathcoord
      }
        & = f_{\Bi{\ms{z}}}
            +
            \unitdensity \,
            \crosssection \,
            \parentheses*{
              \lpathcoord
              -
              \cablen_{\subunstrained}
            } \,
            ,
        \\
      \tension \of{\lpathcoord}
        & = \sqrt{
              \pow*[2]{
                \force_{\Bi{\ms{x}}}
              }
              +
              \pow*[2]{
                \force_{\Bi{\ms{z}}}
                +
                \unitdensity \,
                \crosssection \,
                \parentheses*{
                  \lpathcoord
                  -
                  \cablen_{\subunstrained}
                }
              }
            }
    \end{align*}
  \end{minipage}%
  \hfill%
  \begin{minipage}[t]{0.34\linewidth}
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=\linewidth,%
          axisratio=1.00,%
        ]{kinematics/catenary/cable}
    \end{figure}
  \end{minipage}%
  
  Cable shape follows to%
  %
  \begingroup
    \smaller[1]
    \begin{align*}
      \begin{split}
        x \of{\lpathcoord}
          & = \frac{
                f_{\Bi{\ms{x}}}
              }{
                \youngsmodulus \,
                \crosssection
              } \,
              \lpathcoord%
            + \frac{
                \abs{f_{\Bi{\ms{x}}}}
              }{
                \unitdensity \,
                \gravity*
              } \,
              \left(
                \arcsinh \of*{
                  \frac{
                    f_{\Bi{\ms{z}}}
                    +
                    \unitdensity \,
                    \gravity* \,
                    \parentheses*{
                      \lpathcoord
                      -
                      \cablen_{\subunstrained}
                    }
                  }{
                    f_{\Bi{\ms{x}}}
                  }
                }
          %     \right.
          %     +
          %     \dotsb \\
          % & \phantom{=}
          %   \left.
              -
              \arcsinh \of*{
                \frac{
                  f_{\Bi{\ms{z}}}
                  -
                  \unitdensity \,
                  \gravity* \,
                  \parentheses*{
                    \lpathcoord
                    -
                    \cablen_{\subunstrained}
                  }
                }{
                  f_{\Bi{\ms{x}}}
                }
              }
            \right) \,
            ,
      \end{split}
          \\
      \begin{split}
        z \of{\lpathcoord}
          & = \frac{
                \lpathcoord
              }{
                \youngsmodulus \,
                \crosssection
              } \,
              \parentheses*{
                f_{\Bi{\ms{z}}} %
                +
                \unitdensity \,
                \gravity* \,
                \parentheses*{
                  \frac{
                    \lpathcoord
                  }{
                    2
                  }
                  -
                  \cablen_{\subunstrained}
                }
              }
              +
          %     \dotsb
          %     \\
          % & \phantom{=}
          %   +
            \frac{
              1
            }{
              \unitdensity \,
              \gravity*
            } \,
            \parentheses*{
              \sqrt{
                \pow{
                  f_{\Bi{\ms{x}}}
                }
                +
                \pow*[2]{
                  f_{\Bi{\ms{z}}}
                  +
                  \unitdensity \,
                  \gravity* \,
                  \parentheses*{
                    \lpathcoord
                    -
                    \cablen_{\subunstrained}
                  }
                }
              }%
              -
              \sqrt{
                \pow{
                  f_{\Bi{\ms{x}}}
                }
                +
                \pow*[2]{
                  f_{\Bi{\ms{z}}}
                  -
                  \unitdensity \,
                  \gravity* \,
                  \cablen_{\subunstrained}
                }
              }%
            } \,
            .
      \end{split}
    \end{align*}
  \endgroup
\end{frame}
